
Robotics Service Bus - Tasks #1563
Tasks # 1562 (Resolved): Release version 0.9
Write news entry for 0.9 release
07/14/2013 08:28 PM - J. Moringen

Status: Resolved Start date: 08/07/2013
Priority: Normal Due date: 08/07/2013
Assignee: J. Wienke % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.9
Description

The manual has news.rst which already contains similar entries for previous versions.

Associated revisions
Revision e4b1e16e - 08/06/2013 07:28 PM - J. Moringen

Added entry for version 0.9 in news.rst

refs #1563

    -  news.rst: added entry for version 0.9

Revision 97096c09 - 08/06/2013 10:07 PM - J. Moringen

Added entry for version 0.9 in news.rst

refs #1563

    -  news.rst: added entry for version 0.9

Revision cb797596 - 08/07/2013 01:49 AM - J. Moringen

Backport: Added entry for version 0.9 in news.rst

refs #1563

    -  news.rst: added entry for version 0.9

History
#1 - 08/06/2013 02:13 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

Here is a draft for the new release text. Feel free to adapt inside this message:

We are happy to announce the release of version 0.9 of the RSB middleware. Version 0.9 is the direct successor of 0.7 due to changes in the
versioning system.
The development for this release focused on the following major aspects:

    -  Integration of the new project:rsc plugin mechanism in the C++ implementation for transports and converters.
    -  Encapsulation of the spread transport into a separate plugin. This finally resolved the licensing issues for the rsb-cpp core. Please refer to the
manual on how to use the new spread transport.
    -  Complete overhaul of the java implementation to be in line with the remaining implementations. As a consequence, the public API has slightly
changed, especially wrt thrown exceptions.
    -  Implementation of the socket transport for java.
    -  Many fixes to the socket transport implementations.
    -  Fixes for windows compatibility.
    -  Many documentation improvements.

TODO: here we lack the changes in rsbag

In the process, about 120 issues have been created and subsequently resolved.
This RSB release is available in the following forms:
    -  Source archives
    -  Pre-compiled self-installing archives or executable binaries
    -  Debian packages for different Ubuntu Linux versions
        -  Starting with this release the development versions of our projects (master/trunk) are packaged in the testing repository of our debian package
server instead of the stable one. So you need to add this repository to your apt sources list in case you want to have bleeding edge software installed
via the debian package management.
    -  Prototypical homebrew recipes and pypi packages
    -  Maven package for rsb-java

Installation instructions and links for downloading can be found on the preparation pages of the RSB manual and the RSBag manual.

As always, bugs, feature requests and enhancement proposals can be reported in the respective issue trackers:
RSB,
RSBag.

For a more detailed list of fixed bugs, added features and other enhancements, see https://code.cor-lab.org/versions/12.

#2 - 08/06/2013 02:28 PM - J. Wienke
- % Done changed from 0 to 30

#3 - 08/06/2013 07:18 PM - J. Moringen

We are happy to announce the release of version 0.9 of the RSB middleware. Version 0.9 is the direct successor of 0.7 due to changes in the
versioning system.

The development for this release focused on the following major aspects:

    -  Integration of the new project:rsc plugin mechanism in the C++ implementation for transports and converters.
    -  Encapsulation of the spread transport into a separate plugin. This finally resolved the licensing issues for the rsb-cpp core. Please refer to the
manual on how to use the new spread transport.
    -  Complete overhaul of the java implementation to be in line with the remaining implementations. As a consequence, the public API has slightly
changed, especially wrt thrown exceptions.
    -  Implementation of the socket transport for java.
    -  Many fixes to the socket transport implementations.
    -  Fixes for windows compatibility.
    -  Many documentation improvements.
    -  The RPC API now supports some method signatures that did not work previously
    -  In project:rsbag
        -  The maximum throughput when recording has been increased
        -  The error recovery has been extended further
        -  An initial Python client API has been added
        -  The default timestamp used for indexing in log files has been changed from "create" to "send"

In the process, about 240 issues have been created and subsequently resolved.
This RSB release is available in the following forms:
    -  Source archives
    -  Pre-compiled self-installing archives or executable binaries
    -  Debian packages for different Ubuntu Linux versions
        -  Starting with this release, the development versions of our projects (master/trunk) are packaged in the "testing" repository of our Debian
package server (as opposed to the "main" repository). So you need to add this repository to your apt sources list in case you want to have bleeding
edge software installed via the Debian package management.
    -  Prototypical homebrew recipes and pypi packages
    -  Maven package for rsb-java

Installation instructions and links for downloading can be found on the preparation pages of the RSB manual and the RSBag manual.

As always, bugs, feature requests and enhancement proposals can be reported in the respective issue trackers:
RSB,
RSBag.

For a more detailed list of fixed bugs, added features and other enhancements, see https://code.cor-lab.org/versions/12.

#4 - 08/08/2013 02:22 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

news#34
